KDE 4.9 PyKDE API Reference

- KDE's Python API

# PositionTracking Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Signals
| gpsLocation (Marble.GeoDataCoordinates a0, float a1)
| statusChanged (Marble.PositionProviderStatus status)
## Methods
| __init__ (self, Marble.GeoDataTreeModel model)
Marble.GeoDataAccuracy | accuracy (self)
| clearTrack (self)
Marble.GeoDataCoordinates | currentLocation (self)
float | direction (self)
QString | error (self)
bool | isTrackEmpty (self)
float | length (self, float planetRadius)
| readSettings (self)
bool | saveTrack (self, QString fileName)
| setTrackVisible (self, bool visible)
float | speed (self)
QDateTime | timestamp (self)
bool | trackVisible (self)
| writeSettings (self)

## Signal Documentation

gpsLocation | ( | Marble.GeoDataCoordinates | a0,
|  | float | a1
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("gpsLocation(Marble::GeoDataCoordinates, qreal)"), target_slot)`

statusChanged | ( | Marble.PositionProviderStatus | status
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("statusChanged(Marble::PositionProviderStatus)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.GeoDataTreeModel | model
| ) |  |  |

Marble.GeoDataAccuracy accuracy | ( |  | self ) |

Returns the estimated accuracy of the current position

clearTrack | ( |  | self ) |

Removes all track segments which were recorded

Marble.GeoDataCoordinates currentLocation | ( |  | self ) |

Returns the current position, if any

float direction | ( |  | self ) |

provides direction of the gps device in degrees with geographical north

QString error | ( |  | self ) |

gives the error message from the current position provider

bool isTrackEmpty | ( |  | self ) |

Returns true if there is no position in the track

float length | ( | self, |
|  | float | planetRadius
| ) |  |  |

Returns the total track length

Parameters:

  | planetRadius | Scale factor, usually the radius of the underlying planet, e.g. EARTH_RADIUS

Returns:
  Length of all track segments on the unit sphere scaled by planetRadius

readSettings | ( |  | self ) |

bool saveTrack | ( | self, |
|  | QString | fileName
| ) |  |  |

Saves the track document to file

setTrackVisible | ( | self, |
|  | bool | visible
| ) |  |  |

Toggles the visibility of the Position Tracking document

float speed | ( |  | self ) |

provides speed of the gps device

QDateTime timestamp | ( |  | self ) |

Returns the timestamp of last recent tracking point.

bool trackVisible | ( |  | self ) |

provides the visibility of the Position Tracking document

writeSettings | ( |  | self ) |